<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveNextUnique Method
SecondaryCursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNextUnique is identical to MoveFirst()()(). Otherwise, move the cursor to the next non-duplicate key in the database, and store the secondary key and primary key/data pair in Current. MoveNextUnique will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveNextUnique()

Visual Basic (Declaration)

    Public Function MoveNextUnique As Boolean

Visual C++

    public:
    bool MoveNextUnique()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveNextUnique Overload
BerkeleyDB Namespace